Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class Get

    java.lang.Object
      be.cin.nip.async.generic.Get

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class Get

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Origin" type="{urn:be:cin:mycarenet:esb:common:v2}OrigineType"/>
             <element name="Reply-to-etk" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="QueryParameters" type="{urn:be:cin:nip:async:generic}QueryParameters" minOccurs="0"/>
             <element name="MsgQuery" type="{urn:be:cin:nip:async:generic}MsgQuery"/>
             <element name="TAckQuery" type="{urn:be:cin:nip:async:generic}Query"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Get()`

Method Summary
`MsgQuery` | `getMsgQuery()` Gets the value of the msgQuery property.
`OrigineType` | `getOrigin()` Gets the value of the origin property.
`QueryParameters` | `getQueryParameters()` Gets the value of the queryParameters property.
`byte[]` | `getReplyToEtk()` Gets the value of the replyToEtk property.
`Query` | `getTAckQuery()` Gets the value of the tAckQuery property.
`void` | `setMsgQuery(MsgQuery value)` Sets the value of the msgQuery property.
`void` | `setOrigin(OrigineType value)` Sets the value of the origin property.
`void` | `setQueryParameters(QueryParameters value)` Sets the value of the queryParameters property.
`void` | `setReplyToEtk(byte[] value)` Sets the value of the replyToEtk property.
`void` | `setTAckQuery(Query value)` Sets the value of the tAckQuery property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Get

    public Get()

Method Detail

### getOrigin

    public OrigineType getOrigin()

  Gets the value of the origin property.

  Returns:
    possible object is `OrigineType`

### setOrigin

    public void setOrigin(OrigineType value)

  Sets the value of the origin property.

  Parameters:
    `value` - allowed object is `OrigineType`

### getReplyToEtk

    public byte[] getReplyToEtk()

  Gets the value of the replyToEtk property.

  Returns:
    possible object is byte[]

### setReplyToEtk

    public void setReplyToEtk(byte[] value)

  Sets the value of the replyToEtk property.

  Parameters:
    `value` - allowed object is byte[]

### getQueryParameters

    public QueryParameters getQueryParameters()

  Gets the value of the queryParameters property.

  Returns:
    possible object is `QueryParameters`

### setQueryParameters

    public void setQueryParameters(QueryParameters value)

  Sets the value of the queryParameters property.

  Parameters:
    `value` - allowed object is `QueryParameters`

### getMsgQuery

    public MsgQuery getMsgQuery()

  Gets the value of the msgQuery property.

  Returns:
    possible object is `MsgQuery`

### setMsgQuery

    public void setMsgQuery(MsgQuery value)

  Sets the value of the msgQuery property.

  Parameters:
    `value` - allowed object is `MsgQuery`

### getTAckQuery

    public Query getTAckQuery()

  Gets the value of the tAckQuery property.

  Returns:
    possible object is `Query`

### setTAckQuery

    public void setTAckQuery(Query value)

  Sets the value of the tAckQuery property.

  Parameters:
    `value` - allowed object is `Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.